# Class WorkQueue

java.lang.Object
org.eclipse.compare.internal.WorkQueue

public class WorkQueue extends Object
A work queue maintains a list of tasks that need to be run. If the same task is added multiple times, the last occurrence of the task will be run(i.e. the task will be removed from it's previous location and aded to the end of the queue.

## Constructor Summary

Constructors
Constructor
Description
`WorkQueue()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`add(IRunnableWithProgress runnable)`
`void`
`clear()`
`boolean`
`contains(IRunnableWithProgress runnable)`
`boolean`
`isEmpty()`
`IRunnableWithProgress`
`remove()`
`boolean`
`remove(IRunnableWithProgress runnable)`
`int`
`size()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkQueue

public WorkQueue()

## Method Details

### add

public boolean add(IRunnableWithProgress runnable)

### clear

public void clear()

### contains

public boolean contains(IRunnableWithProgress runnable)

### isEmpty

public boolean isEmpty()

### remove

public boolean remove(IRunnableWithProgress runnable)

### size

public int size()

### remove

public IRunnableWithProgress remove()